<?php




namespace ln\listens;

use ln\services\TimerService;
use Swoole\Timer;
use think\facade\Log;
use ln\interfaces\ListenerInterface;
use app\common\repositories\store\product\ProductGroupBuyingRepository;

class ProductGroupStatusCheckListen extends TimerService implements ListenerInterface
{
    public function handle($event): void
    {
        $this->tick(1000 * 60, function () {
            $make = app()->make(ProductGroupBuyingRepository::class);
            try {
                $make->checkStatus(null);
            } catch (\Exception $e) {
                Log::info('自动检测拼团结束失败' . date('Y-m-d H:i:s', time()));
            }
        });
    }
}
